name: diameter
description: A logging app for type 1 diabetics.

publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
    sdk: ">=2.12.0 <3.0.0"

dependencies:
    flutter:
        sdk: flutter
    flutter_localizations:
        sdk: flutter
    path_provider: ^2.0.9
    cupertino_icons: ^1.0.2
    flex_color_scheme: ^4.2.0
    intl: ^0.17.0
    objectbox: ^1.2.0
    objectbox_sync_flutter_libs: any
    printing: ^5.7.2
    pdf: ^3.7.1
    open_file: ^3.2.1
    flutter_translate: ^3.0.1
    googleapis: ^7.0.0
    google_sign_in: ^5.2.1
    charts_flutter: ^0.12.0

dev_dependencies:
    flutter_test:
        sdk: flutter
    flutter_lints: ^1.0.4
    provider: ^6.0.1
    build_runner: ^2.0.0
    objectbox_generator: any
    analyzer: ^3.3.1

flutter:
    uses-material-design: true
    assets:
        - assets/i18n/
